Bug 1436896 - mono-5.18.1.0 is available
Summary: mono-5.18.1.0 is available
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mono
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Timotheus Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1692646
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-29 00:18 UTC by Upstream Release Monitoring
Modified: 2019-04-03 04:23 UTC (History)
12 users (show)

Fixed In Version: mono-5.18.1-1.fc31
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 04:23:03 UTC


Attachments (Terms of Use)
mono 5.10.0 spec patch (7.12 KB, patch)
2018-03-20 22:09 UTC, Michael Cronenworth
no flags Details | Diff
spec patch for mono 5.10.1.20 (19.08 KB, patch)
2018-03-29 18:59 UTC, Claudio Rodrigo Pereyra DIaz
no flags Details | Diff

Description Upstream Release Monitoring 2017-03-29 00:18:20 UTC
Latest upstream release: 4.8.0.524
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 1 Upstream Release Monitoring 2017-03-29 00:18:42 UTC
An unexpected error occured creating the scratch build: please report this issue to the-new-hotness issue tracker at https://github.com/fedora-infra/the-new-hotness/issues

Comment 2 Upstream Release Monitoring 2017-04-12 12:18:06 UTC
Latest upstream release: 5.0.0.48
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 3 Upstream Release Monitoring 2017-04-12 12:18:23 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 4 Upstream Release Monitoring 2017-04-20 00:17:07 UTC
Latest upstream release: 5.0.0.61
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 5 Upstream Release Monitoring 2017-04-20 00:17:23 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 6 Upstream Release Monitoring 2017-04-27 12:15:32 UTC
Latest upstream release: 5.0.0.78
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 7 Upstream Release Monitoring 2017-04-27 12:15:52 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 8 Claudio Rodrigo Pereyra DIaz 2017-04-27 19:33:15 UTC
I still working on it.
Need some changes on references-assemblies patch.
And need package roslyn or use the prebuild binary shiped with the mono tarball.

Comment 9 Timotheus Pokorra 2017-04-28 09:30:15 UTC
rosyln: that will probably be a bigger issue.
I don't think it is ok for Fedora to use prebuilt binaries apart from bootstrapping.

You probably need msbuild as well to build roslyn?
I tried to build msbuild from source, but have not managed that yet.

Comment 10 Upstream Release Monitoring 2017-05-06 00:18:00 UTC
Latest upstream release: 5.0.0.94
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 11 Upstream Release Monitoring 2017-05-06 00:18:21 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 12 Upstream Release Monitoring 2017-05-13 00:18:43 UTC
Latest upstream release: 5.0.0.100
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 13 Upstream Release Monitoring 2017-05-13 00:19:10 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 14 Upstream Release Monitoring 2017-05-24 12:19:28 UTC
Latest upstream release: 5.0.1.1
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 15 Upstream Release Monitoring 2017-05-24 12:19:54 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 16 Michael Cronenworth 2017-05-31 21:30:20 UTC
Is anyone working on this?

Also, why is this package not following the packaging guidelines and using upstream's version number? Eg. Fedora = 4.8.0 while upstream = 4.8.0.520.

Comment 17 Claudio Rodrigo Pereyra DIaz 2017-06-01 12:53:51 UTC
I package mono 5.0.1 but, with roslyn prebuild binaries.
We need package roslyn and msbuild to package mono 5 according to Fedora guide lines.

Comment 18 Michael Cronenworth 2017-06-06 15:56:37 UTC
Here's the scoop for those curious. I went down the rabbit hole to package these and found other's work.

Mono 5.0 introduced a new build system and a new C# compiler. These require new packages as they have new upstreams apart from Mono (upstream is Microsoft).

In order to build these new packages they must be bootstrapped similar to any other compiler (curiously MSBuild must be bootstrapped as well...) and these projects bootstrap via downloading binary blobs for the 'dotnetcore'. Better yet the blobs don't work on Fedora 25+. UGH!

There is work, by Red Hat, to push the 'dotnetcore' package into Fedora 26+.

https://copr.fedorainfracloud.org/coprs/nmilosev/dotnet-sig/

This will help bootstrap so until these are on Fedora there isn't much to do.

Comment 19 Upstream Release Monitoring 2017-06-11 12:22:41 UTC
Latest upstream release: 5.2.0.175
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 20 Upstream Release Monitoring 2017-06-11 12:23:04 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 21 Upstream Release Monitoring 2017-06-19 00:21:43 UTC
Latest upstream release: 5.2.0.179
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 22 Upstream Release Monitoring 2017-06-19 00:22:01 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 23 Upstream Release Monitoring 2017-06-26 12:20:07 UTC
Latest upstream release: 5.4.0.56
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 24 Upstream Release Monitoring 2017-06-26 12:20:27 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you.Please use a URL in your Source declarations if possible.

Comment 25 Upstream Release Monitoring 2017-08-09 00:22:08 UTC
Latest upstream release: 5.4.0.135
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 26 Upstream Release Monitoring 2017-08-09 00:22:12 UTC
Skipping the scratch build because an SRPM could not be built: ['git', 'clone', 'https://src.fedoraproject.org/git/rpms/mono.git', '/var/tmp/thn-xO4Ku9'] returned 128: Cloning into '/var/tmp/thn-xO4Ku9'...
fatal: unable to access 'https://src.fedoraproject.org/git/rpms/mono.git/': The requested URL returned error: 503

Comment 27 Upstream Release Monitoring 2017-08-22 12:23:07 UTC
Latest upstream release: 5.4.0.167
Current version/release in rawhide: 4.8.0-7.fc27
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 28 Upstream Release Monitoring 2017-08-22 12:23:26 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 29 Upstream Release Monitoring 2017-09-29 12:23:04 UTC
Latest upstream release: 5.4.0.199
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 30 Upstream Release Monitoring 2017-09-29 12:23:26 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 31 Upstream Release Monitoring 2017-10-20 00:35:40 UTC
Latest upstream release: 5.4.0.201
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 32 Upstream Release Monitoring 2017-10-20 00:36:01 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 33 Upstream Release Monitoring 2017-11-01 00:27:16 UTC
Latest upstream release: 5.8.0.22
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 34 Upstream Release Monitoring 2017-11-01 00:27:31 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 35 Michael Cronenworth 2017-11-13 22:19:40 UTC
More, unadvertised work. *grumble*...

The dotnet Copr has been moved to a "Copr Group":
https://copr.fedorainfracloud.org/groups/g/dotnet-sig/coprs/

Comment 36 Upstream Release Monitoring 2017-11-16 00:22:23 UTC
Latest upstream release: 5.9.0.380
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 37 Upstream Release Monitoring 2017-11-16 00:22:37 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 38 Upstream Release Monitoring 2017-12-08 00:21:45 UTC
Latest upstream release: 5.11.0.12
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 39 Upstream Release Monitoring 2017-12-08 00:22:02 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 40 Upstream Release Monitoring 2017-12-09 00:21:45 UTC
Latest upstream release: 5.11.0.15
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 41 Upstream Release Monitoring 2017-12-09 00:22:01 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 42 Upstream Release Monitoring 2017-12-16 00:21:55 UTC
Latest upstream release: 5.11.0.49
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 43 Upstream Release Monitoring 2017-12-16 00:22:13 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 44 Upstream Release Monitoring 2017-12-24 12:21:34 UTC
Latest upstream release: 5.11.0.124
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 45 Upstream Release Monitoring 2017-12-24 12:21:53 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 46 Upstream Release Monitoring 2018-01-01 00:21:51 UTC
Latest upstream release: 5.8.0.88
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 47 Upstream Release Monitoring 2018-01-01 00:22:09 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 48 Upstream Release Monitoring 2018-01-24 12:20:49 UTC
Latest upstream release: 5.8.0.108
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 49 Upstream Release Monitoring 2018-01-24 12:21:16 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 50 Upstream Release Monitoring 2018-02-01 00:22:10 UTC
Latest upstream release: 5.10.0.78
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 51 Upstream Release Monitoring 2018-02-01 00:22:30 UTC
One or more of the specfile's Sources is not a valid URL so we cannot automatically build the new version for you. Please use a URL in your Source declarations if possible.

Comment 52 Upstream Release Monitoring 2018-02-08 12:24:39 UTC
Latest upstream release: 5.10.0.94
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 53 Upstream Release Monitoring 2018-02-09 00:23:40 UTC
Latest upstream release: 5.10.0.97
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 54 Upstream Release Monitoring 2018-02-16 12:22:06 UTC
Latest upstream release: 5.10.0.116
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 55 Upstream Release Monitoring 2018-02-24 00:23:41 UTC
Latest upstream release: 5.10.0.137
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 56 Upstream Release Monitoring 2018-03-02 12:21:12 UTC
Latest upstream release: 5.10.0.153
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 57 Upstream Release Monitoring 2018-03-03 12:26:53 UTC
Latest upstream release: 5.10.0.154
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 58 Upstream Release Monitoring 2018-03-06 12:20:54 UTC
Latest upstream release: 5.10.0.157
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 59 Upstream Release Monitoring 2018-03-07 12:21:28 UTC
Latest upstream release: 5.10.0.160
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 60 Upstream Release Monitoring 2018-03-08 12:21:16 UTC
Latest upstream release: 5.10.0.161
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 61 Upstream Release Monitoring 2018-03-09 12:22:00 UTC
Latest upstream release: 5.10.0.170
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 62 Upstream Release Monitoring 2018-03-13 12:22:19 UTC
Latest upstream release: 5.10.0.172
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 63 Upstream Release Monitoring 2018-03-14 12:21:50 UTC
Latest upstream release: 5.10.0.175
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 64 Claudio Rodrigo Pereyra DIaz 2018-03-15 18:57:19 UTC
I try progress in build last mono.
At the moment I could build by bootraping withot exclude references assemblies and keep prebuild roslyn and msbuild.
The rpms was generated but when try install request some dependencies to 

mono(System.Collections.Immutable) = 1.2.1.0
mono(System.Diagnostics.StackTrace) = 4.0.2.0

My next step is exclude references assemblies.

Comment 65 Upstream Release Monitoring 2018-03-16 00:23:23 UTC
Latest upstream release: 5.10.0.176
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 66 Upstream Release Monitoring 2018-03-16 12:21:18 UTC
Latest upstream release: 5.10.0.178
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 67 Upstream Release Monitoring 2018-03-17 12:20:43 UTC
Latest upstream release: 5.10.0.179
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 68 Upstream Release Monitoring 2018-03-20 12:21:30 UTC
Latest upstream release: 5.10.1.2
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 69 Timotheus Pokorra 2018-03-20 15:28:48 UTC
Hello Claudio,

I meant to write this note a couple of weeks ago:

I got a hint from Ludovic:
https://bugzilla.xamarin.com/show_bug.cgi?id=28679#c15
"We do support building Mono from source without roslyn and msbuild. To do so, just pass `--with-csc=mcs` to `./configure` and it will default to mcs which we  build from source as part of the build process."

It seems that only Mono 5.10 has got this parameter --with-csc=mcs, with Mono 5.8 I got the error:
make[7]: *** No rule to make target '/builddir/build/BUILD/mono-5.8.0.129/external/roslyn-binaries/Microsoft.Net.Compilers/Microsoft.Net.Compilers.2.3.2/tools/csc.exe', needed by '../../class/lib/net_4_x-linux//csc.exe.so'.  Stop.

I tried to build Mono 5.10 without bootstrapping, but I think we cannot avoid bootstrapping for Mono 5.x, because it uses newer C# language elements which Mono 4.8 does not provide. (I cannot find the log though).

This is how far I got:
I tried to build Mono 5.10 with bootstrap, but with removing the pre built libraries like this:
find . -name "*.dll" -not -path "./mcs/class/lib/monolite-linux/*" -print -delete
find . -name "*.exe" -not -path "./mcs/class/lib/monolite-linux/*" -print -delete
see https://github.com/tpokorra/mono-5.x-fedora/blob/master/mono-5.10/mono.spec#L294

But then I got an error during the build:

mkdir -p -- ../../class/lib/basic/bare/
MCS     [bare/basic] System.dll
error CS0006: Metadata file `./../../../external/binary-reference-assemblies/v4.7.1/System.Net.Http.dll' could not be found
Compilation failed: 1 error(s), 0 warnings
make[10]: *** [../../build/library.make:342: ../../class/lib/basic/bare/System.dll] Error 1

Timotheus

Comment 70 Michael Cronenworth 2018-03-20 22:09:41 UTC
Created attachment 1410846 [details]
mono 5.10.0 spec patch

(In reply to Timotheus Pokorra from comment #69)
> find . -name "*.dll" -not -path "./mcs/class/lib/monolite-linux/*" -print
> -delete

This deletes all the reference assemblies, which includes /external/binary-reference-assemblies/v4.7.1/System.Net.Http.dll.

From my limited understanding of Mono you will have to use the binaries to bootstrap and then the second build can remove them to compile from source.

I'm attaching a patch against the Fedora mono.spec that gets an RPM file to build for 5.10.0.179, but the resulting package cannot be installed due to dependency issues.

Comment 71 Upstream Release Monitoring 2018-03-21 12:21:57 UTC
Latest upstream release: 5.10.1.4
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 72 Upstream Release Monitoring 2018-03-22 12:22:26 UTC
Latest upstream release: 5.10.1.6
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 73 Upstream Release Monitoring 2018-03-23 12:21:11 UTC
Latest upstream release: 5.10.1.12
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 74 Upstream Release Monitoring 2018-03-24 12:21:18 UTC
Latest upstream release: 5.10.1.14
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 75 Upstream Release Monitoring 2018-03-26 12:19:52 UTC
Latest upstream release: 5.10.1.15
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 76 Upstream Release Monitoring 2018-03-28 12:22:46 UTC
Latest upstream release: 5.10.1.16
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 77 Upstream Release Monitoring 2018-03-29 12:36:21 UTC
Latest upstream release: 5.10.1.20
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 78 Claudio Rodrigo Pereyra DIaz 2018-03-29 18:59:01 UTC
Created attachment 1414863 [details]
spec patch for mono 5.10.1.20

This patch is work in progress.
Exclude almost reference-assemblies and msbuild and roslyn.
Add new metapackage for mono-complete like xamarin spec

Comment 79 Upstream Release Monitoring 2018-03-30 12:21:48 UTC
Latest upstream release: 5.10.1.25
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 80 Upstream Release Monitoring 2018-04-01 12:23:27 UTC
Latest upstream release: 5.10.1.27
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 81 Upstream Release Monitoring 2018-04-04 12:22:43 UTC
Latest upstream release: 5.10.1.32
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 82 Claudio Rodrigo Pereyra DIaz 2018-04-05 15:41:12 UTC
Well, I managed to compile using mcs. But it is still necessary to keep the folder ./external/roslyn-binaries/Microsoft.Net.Compilers/Microsoft.Net.Compilers.2.6.0/* and the file ./external/binary-reference-assemblies/v4.7.1/System .Net.Http.dll from references-assemblies

I keep compiling using boostraping

These are the requirements not found in order to install:

Mono (System.Collections.Immutable) = 1.2.0.0
mono (System.Diagnostics.StackTrace) = 4.0.2.0
Mono (System.IO) = 4.0.10.0
Mono (System.IO.Compression) = 4.1.1.0
mono (System.Linq.Expressions) = 4.0.10.0
mono (System.Reflection) = 4.0.10.0
monkey (System.Runtime) = 4.0.20.0
mono (System.Runtime.Extensions) = 4.0.10.0
mono (System.Runtime.InteropServices) = 4.0.20.0
Mono (System.Runtime.Loader) = 4.0.0.0
mono (System.Text.Encoding.CodePages) = 4.0.2.0
mono (System.ValueTuple) = 4.0.1.0
Mono (System.Collections) = 4.0.0.0
monkey (System.Diagnostics.Debug) = 4.0.0.0
monkey (System.Globalization) = 4.0.0.0
monkey (System.IO) = 4.0.0.0
mono (System.Linq) = 4.0.0.0
mono (System.Reflection) = 4.0.0.0
mono (System.Runtime) = 4.0.0.0
mono (System.Runtime.Extensions) = 4.0.0.0
mono (System.Runtime.InteropServices) = 4.0.0.0
mono (System.Security.Cryptography.Algorithms) = 4.0.0.0
mono (System.Text.Encoding) = 4.0.0.0
mono (System.Text.Encoding.Extensions) = 4.0.0.0
mono (System.Threading) = 4.0.0.0
monkey (System.Xml.XPath.XDocument) = 4.0.1.0

I indicate them explicitly as provided by mono-core to be able to install the rpm files

This is from spec file https://www.dropbox.com/s/r13qjljwodykqqv/mono.spec?dl=0

Comment 83 Upstream Release Monitoring 2018-04-06 12:22:50 UTC
Latest upstream release: 5.10.1.38
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 84 Upstream Release Monitoring 2018-04-20 00:22:25 UTC
Latest upstream release: 5.10.1.47
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 85 Upstream Release Monitoring 2018-05-15 00:21:20 UTC
Latest upstream release: 5.12.0.226
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 86 Timotheus Pokorra 2018-06-16 21:47:31 UTC
I have created a Copr project with Mono 5.12:
https://copr.fedorainfracloud.org/coprs/tpokorra/mono-5.12/

The spec file is here: https://github.com/tpokorra/mono-5.x-fedora/blob/master/mono-5.12/mono.spec

Additionally to the changes by Claudio for 5.10, we need System.Numerics.dll for 5.12.

Comment 87 Michael Cronenworth 2018-06-16 22:20:56 UTC
Initial testing of your 5.12 package is not great. I tested it with Emby (https://emby.media/) and the software will start up and most functionality works. What doesn't work is clicking on a TV show or Movie to list its seasons or description. Reverting back to mono 4.8 fixes that piece of functionality.

Comment 88 Timotheus Pokorra 2018-06-17 20:26:59 UTC
@Michael: Thanks for testing the package.
Which version of Emby did you try? Can you please try the latest Beta, which indicates support for Mono 5.4+ according to https://github.com/MediaBrowser/Emby/releases
Can you also try if it works with the Xamarin Mono packages (https://www.mono-project.com/download/stable/#download-lin-fedora), to make sure it is a packaging issue.
Also please post any relevant errors you can get from log files.

Comment 89 Upstream Release Monitoring 2018-07-21 00:23:56 UTC
Latest upstream release: 5.12.0.301
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 90 Upstream Release Monitoring 2018-08-08 00:25:16 UTC
Latest upstream release: 5.14.0.177
Current version/release in rawhide: 4.8.0-12.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 91 Timotheus Pokorra 2018-08-17 11:24:53 UTC
I have packaged Mono 5.14.0.177 in my copr:
https://copr.fedorainfracloud.org/coprs/tpokorra/mono-5.14/

You can find the sources of the SPEC file and the patches here:
https://github.com/tpokorra/mono-5.x-fedora/tree/master/mono-5.14

The problematic issues are still these lines, which prevent us from upgrading Mono in Fedora:

# Remove prebuilt binaries
find . -name "*.dll" -not -path "./mcs/class/lib/monolite-linux/*" -not -path "./external/roslyn-binaries/Microsoft.Net.Compilers/Microsoft.Net.Compilers.2.7.0/*" -not -path "./external/binary-reference-assemblies/v4.7.1/System.dll" -not -path "./external/binary-reference-assemblies/v4.7.1/System.Core.dll" -not -path "./external/binary-reference-assemblies/v4.7.1/System.Web.dll" -not -path "./external/binary-reference-assemblies/v4.7.1/System.Xml.dll" -not -path "./external/binary-reference-assemblies/v4.7.1/System.Configuration.dll" -not -path "./external/binary-reference-assemblies/v4.7.1/System.Net.Http.dll" -not -path "./external/binary-reference-assemblies/v4.7.1/System.ServiceModel.Activation.dll" -not -path "./external/binary-reference-assemblies/v4.7.1/System.Numerics.dll" -not -path "./external/binary-reference-assemblies/v4.6/mscorlib.dll" -not -path "./external/binary-reference-assemblies/v4.6/System.dll" -print -delete
find . -name "*.exe" -not -path "./mcs/class/lib/monolite-linux/*" -not -path "./external/roslyn-binaries/Microsoft.Net.Compilers/Microsoft.Net.Compilers.2.7.0/*" -print -delete

The list of dependancies seems to grow with each release of Mono.

Just a note: we are using msc for compiling, rather than the roslyn compiler, by this configuration parameter:

%configure --disable-rpath \
           --with-csc=mcs \
           --with-moonlight=no

Still we somehow require some roslyn binaries for a successful build.

Comment 92 Timotheus Pokorra 2018-10-16 21:28:06 UTC
I have built now Mono 5.16.0.179 in my copr:
https://copr.fedorainfracloud.org/coprs/tpokorra/mono-5.16/

You can find the sources of the SPEC file and the patches here:
https://github.com/tpokorra/mono-5.x-fedora/tree/master/mono-5.16

The issues from my previous comment remain.

Comment 93 Timotheus Pokorra 2019-01-02 15:21:20 UTC
I have built now Mono 5.18.0.225 in my copr:
https://copr.fedorainfracloud.org/coprs/tpokorra/mono-5.18/

You can find the sources of the SPEC file and the patches here:
https://github.com/tpokorra/mono-5.x-fedora/tree/master/mono-5.18

The issues from my previous comment remain.

Comment 94 Upstream Release Monitoring 2019-01-18 14:27:59 UTC
Latest upstream release: 5.18.0.240
Current version/release in rawhide: 4.8.0-14.fc28
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 95 Timotheus Pokorra 2019-01-21 08:40:19 UTC
it seems, that Debian managed to build mono 5.18.0.240 according to their rules:
https://packages.debian.org/search?suite=all&arch=any&searchon=names&keywords=mono-complete

We need to see how they did it... just letting you know.

Comment 96 Neal Gompa 2019-01-23 12:43:23 UTC
Based on what I see in salsa[1][2], it looks like they're not doing anything too special to do it. They bootstrap with mcs from monolite 4.7.1 and went from there...

[1]: https://salsa.debian.org/dotnet-team/mono/tree/master/debian
[2]: https://salsa.debian.org/dotnet-team/mono/blob/master/debian/README.source

Comment 97 Timotheus Pokorra 2019-01-23 21:28:48 UTC
Thanks Neal, that is helpful!
I am not sure if I understand correctly.
Will they always bootstrap with these external binary files, or can they rebuild the package from itself?
Do they build the external/binary-reference-assemblies/v4.7.1/ files for future "clean" builds, non-bootstrap?

I checked the tarball http://deb.debian.org/debian/pool/main/m/mono/mono_5.18.0.240+dfsg.orig.tar.gz

the files in mono-5.18.0.240+dfsg/external/binary-reference-assemblies/v4.7.1 are:

Accessibility.dll
CustomMarshalers.dll
Facades
Makefile
Microsoft.Build.dll
Microsoft.Build.Engine.dll
Microsoft.Build.Framework.dll
Microsoft.Build.Tasks.v4.0.dll
Microsoft.Build.Utilities.v4.0.dll
Microsoft.CSharp.dll
Microsoft.VisualBasic.dll
Microsoft.VisualC.dll
mscorlib.dll
System.ComponentModel.Composition.dll
System.ComponentModel.DataAnnotations.dll
System.Configuration.dll
System.Configuration.Install.dll
System.Core.dll
System.Data.DataSetExtensions.dll
System.Data.dll
System.Data.Entity.dll
System.Data.Linq.dll
System.Data.OracleClient.dll
System.Data.Services.Client.dll
System.Data.Services.dll
System.Deployment.dll
System.Design.dll
System.Diagnostics.Tracing.dll
System.DirectoryServices.dll
System.DirectoryServices.Protocols.dll
System.dll
System.Drawing.Design.dll
System.Drawing.dll
System.Dynamic.dll
System.EnterpriseServices.dll
System.IdentityModel.dll
System.IdentityModel.Selectors.dll
System.IO.Compression.dll
System.IO.Compression.FileSystem.dll
System.Management.dll
System.Messaging.dll
System.Net.dll
System.Net.Http.dll
System.Net.Http.WebRequest.dll
System.Numerics.dll
System.Reflection.Context.dll
System.Runtime.Caching.dll
System.Runtime.DurableInstancing.dll
System.Runtime.Remoting.dll
System.Runtime.Serialization.dll
System.Runtime.Serialization.Formatters.Soap.dll
System.Security.dll
System.ServiceModel.Activation.dll
System.ServiceModel.Discovery.dll
System.ServiceModel.dll
System.ServiceModel.Routing.dll
System.ServiceModel.Web.dll
System.ServiceProcess.dll
System.Transactions.dll
System.Web.Abstractions.dll
System.Web.ApplicationServices.dll
System.Web.dll
System.Web.DynamicData.dll
System.Web.Extensions.Design.dll
System.Web.Extensions.dll
System.Web.Mobile.dll
System.Web.RegularExpressions.dll
System.Web.Routing.dll
System.Web.Services.dll
System.Windows.dll
System.Windows.Forms.DataVisualization.dll
System.Windows.Forms.dll
System.Workflow.Activities.dll
System.Workflow.ComponentModel.dll
System.Workflow.Runtime.dll
System.Xaml.dll
System.Xml.dll
System.Xml.Linq.dll
System.Xml.Serialization.dll
WindowsBase.dll

I also found mono-5.18.0.240+dfsg/external/binary-reference-assemblies/src/v4.7.1 which has .cs files.

Comment 98 Neal Gompa 2019-01-23 22:21:54 UTC
I'm not sure, but it looks like it can build from itself afterward?

Comment 99 Timotheus Pokorra 2019-02-21 04:43:07 UTC
I found the description how directhex does it for Debian: https://github.com/mono/mono/issues/7445

I am getting there, to have a build that does not need the bootstrap after the first bootstrap.
To watch the progress, see https://github.com/tpokorra/mono-5.x-fedora/tree/master/mono-5.18

Comment 100 Upstream Release Monitoring 2019-02-27 17:07:10 UTC
Latest upstream release: 5.18.0.268
Current version/release in rawhide: 4.8.0-17.fc30
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 101 Timotheus Pokorra 2019-03-02 06:03:20 UTC
I have now built 5.18.0.268 in copr, see https://github.com/tpokorra/mono-5.x-fedora/tree/master/mono-5.18

I have also posted a change on the wiki for Fedora 31: https://fedoraproject.org/wiki/Changes/Mono_5

Comment 102 Michael Cronenworth 2019-03-08 06:06:23 UTC
@Timotheus, would you like feedback here or in github? I'll provide some here. Sorry for the long delay but Emby is a large project and it took me a few hours to get through all of the issues.

The latest mono package from your copr does not work. The csc.exe compiler doesn't get built and packaged. I can't compile the last FOSS version of Emby (3.5.2.0) with it.

I did successfully compile Emby 3.5.2.0 using the mono-project.org EPEL8 RPMs. I installed the resulting Emby RPM and updated my server to the mono-project 5.18 RPMs and I don't see any runtime regressions, which is great news.

Comment 103 Timotheus Pokorra 2019-03-08 19:58:52 UTC
@Michael, thanks for your feedback!

I prefer comments here, to keep it in one place.

Please try to install the package mono-devel from my copr.

That includes msc and will install it at /usr/bin/mcs

I think that did not change to previous versions of Fedora Mono, so I don't know how it worked for you with the old version.

I am glad Emby works with Mono 5.18, and hope there will not be any difference to the Fedora mono packages. So far, for my purposes (OpenPetra) Mono 5.18 also behaves really well.

Comment 104 Neal Gompa 2019-03-08 20:04:39 UTC
(In reply to Timotheus Pokorra from comment #101)
> I have now built 5.18.0.268 in copr, see
> https://github.com/tpokorra/mono-5.x-fedora/tree/master/mono-5.18
> 
> I have also posted a change on the wiki for Fedora 31:
> https://fedoraproject.org/wiki/Changes/Mono_5

Was there a reason we couldn't try to do this for Fedora 30? It looks like the Mono stack is self-contained, and Mono 4.x isn't maintained upstream. It'd probably be bad if we kept Mono 4.8 for another cycle.

Perhaps we could request an exception for this reason? It's still pretty early in the development cycle and basically none of the deliverables ship any .net software.

Comment 105 Timotheus Pokorra 2019-03-08 21:09:16 UTC
I was too late for the Change deadline for Fedora 30. And I did not feel to be in a hurry, so I thought it would be good enough for Fedora 31.

I asked on the Fedora Mono SIG mailing list (https://lists.fedoraproject.org/archives/list/mono@lists.fedoraproject.org/thread/VCYCSQQBUWDL5YF7N7HSVVSL5SIOT5ZT/), but it did not start a discussion whether we should have Mono 5.18 in Fedora 30.

Neal, do you need Mono 5 in Fedora 30?
I don't want to ask for an exception and put extra pressure on everyone, just because it is nicer to have uptodate software six months earlier.

Comment 106 Neal Gompa 2019-03-08 23:01:52 UTC
(In reply to Timotheus Pokorra from comment #105)
> I was too late for the Change deadline for Fedora 30. And I did not feel to
> be in a hurry, so I thought it would be good enough for Fedora 31.
> 
> I asked on the Fedora Mono SIG mailing list
> (https://lists.fedoraproject.org/archives/list/mono@lists.fedoraproject.org/
> thread/VCYCSQQBUWDL5YF7N7HSVVSL5SIOT5ZT/), but it did not start a discussion
> whether we should have Mono 5.18 in Fedora 30.
> 

Sorry, I had missed that thread in the chaos of trying to deal with the mass retiring of Python 2 subpackages. My bug list is still full of bugs to request retiring these things, and I've been working on trying to port over infra software to Python 3 and DNF...

> Neal, do you need Mono 5 in Fedora 30?
> I don't want to ask for an exception and put extra pressure on everyone,
> just because it is nicer to have uptodate software six months earlier.

I don't know if I would say I _need_ it, but it would be very helpful to have it. But I am deeply concerned about retaining an unsupported version that doesn't even build properly across all architectures for yet another release. It's technically not a change from Fedora 28 and Fedora 29, but I'd really be a lot more comfortable if we can heal that wound sooner rather than later.

I can try to help wherever I have the time, though I can't say I'm terribly knowledgable about this stack...

Comment 107 Michael Cronenworth 2019-03-09 20:14:27 UTC
(In reply to Timotheus Pokorra from comment #103)
> Please try to install the package mono-devel from my copr.

It was installed. My emby spec as a BR for mono-devel and I use mock to build emby.

> That includes msc and will install it at /usr/bin/mcs

<mock-chroot> sh-4.4# ll /usr/bin/mcs
-rwxr-xr-x. 1 root root 78 Feb 28 00:17 /usr/bin/mcs
<mock-chroot> sh-4.4# rpm -qf /usr/bin/mcs
mono-core-5.18.0-9.fc29.x86_64
<mock-chroot> sh-4.4# rpm -ql mono-devel | grep mcs
<mock-chroot> sh-4.4# rpm -q mono-core mono-devel
mono-core-5.18.0-9.fc29.x86_64
mono-devel-5.18.0-9.fc29.x86_64

<mock-chroot> sh-4.4# csc
Cannot open assembly '/usr/lib/mono/4.5/csc.exe': No such file or directory.

<mock-chroot> sh-4.4# rpm -qf /usr/bin/csc
mono-core-5.18.0-9.fc29.x86_64

> I think that did not change to previous versions of Fedora Mono, so I don't
> know how it worked for you with the old version.

Something is asking to build with csc. I tried linking /usr/bin/csc to /usr/bin/mcs but that did not help.

> I am glad Emby works with Mono 5.18, and hope there will not be any
> difference to the Fedora mono packages. So far, for my purposes (OpenPetra)
> Mono 5.18 also behaves really well.

Yes, Emby is still working well after a few days. However, my usefulness for Mono may diminish soon. Emby has gone closed source and there is a fork called Jellyfin that has dropped Mono support in favor of dotnet.

Comment 108 Neal Gompa 2019-03-09 21:12:38 UTC
(In reply to Michael Cronenworth from comment #107)
> Yes, Emby is still working well after a few days. However, my usefulness for
> Mono may diminish soon. Emby has gone closed source and there is a fork
> called Jellyfin that has dropped Mono support in favor of dotnet.

Fortunately, that doesn't matter very much, since it's pretty easy to support anything using dotnet core with Mono 5. They're highly compatible. Restoring support for building with Mono shouldn't be that difficult.

Comment 109 Upstream Release Monitoring 2019-03-15 17:10:14 UTC
Latest upstream release: 5.18.1.0
Current version/release in rawhide: 4.8.0-17.fc30
URL: http://www.mono-project.com/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/6360/

Comment 110 Timotheus Pokorra 2019-03-15 21:28:53 UTC
(In reply to Michael Cronenworth from comment #107)
> (In reply to Timotheus Pokorra from comment #103)
> > Please try to install the package mono-devel from my copr.
> 
> <mock-chroot> sh-4.4# csc
> Cannot open assembly '/usr/lib/mono/4.5/csc.exe': No such file or directory.

I am sorry, I did not read your initial message carefully, and thought you were missinc msc.exe.

csc.exe is not built by the mono package. It is not part of the reference sources.
It is built from Roslyn: https://github.com/dotnet/roslyn/tree/master/src/Compilers/CSharp/csc

The dotnet SIG is working on getting that into Fedora properly.

Comment 111 Timotheus Pokorra 2019-03-15 21:30:03 UTC
I have updated the copr to Mono 5.18.1.0. see https://copr.fedorainfracloud.org/coprs/tpokorra/mono-5.18/ and https://github.com/tpokorra/mono-5.x-fedora/tree/master/mono-5.18
There was no major change in the spec file or the patches.

Comment 112 Neal Gompa 2019-03-16 19:18:27 UTC
> %post -p /sbin/ldconfig
> cert-sync /etc/pki/tls/certs/ca-bundle.crt

This is wrong. It should be:
%post
%{?ldconfig}
cert-sync /etc/pki/tls/certs/ca-bundle.crt

> %postun -p /sbin/ldconfig
>

This should be "%ldconfig_postun"

> %post devel -p /sbin/ldconfig
>
> %postun devel -p /sbin/ldconfig

These should be dropped, as ldconfig aware libraries shouldn't be in devel subpackages.

Comment 113 Michael Cronenworth 2019-03-17 03:19:57 UTC
(In reply to Timotheus Pokorra from comment #110)
> csc.exe is not built by the mono package. It is not part of the reference
> sources.
> It is built from Roslyn:
> https://github.com/dotnet/roslyn/tree/master/src/Compilers/CSharp/csc

You should drop the csc script from your package.

-%{_bindir}/csc

> The dotnet SIG is working on getting that into Fedora properly.

Yes, but that SIG has been in progress for years. Are they close?

Comment 114 Dan Horák 2019-03-27 12:18:58 UTC
mono-5.18.1-1.fc31 builds now on all arches

Comment 115 Fedora Update System 2019-03-28 11:13:05 UTC
mono-5.18.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-153a4642ad

Comment 116 Fedora Update System 2019-03-29 00:12:51 UTC
mono-5.18.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-153a4642ad

Comment 117 Fedora Update System 2019-04-03 00:39:15 UTC
mono-5.18.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 118 Timotheus Pokorra 2019-04-03 04:23:03 UTC
Yay, it is done! Thanks to everyone who got involved!


Note You need to log in before you can comment on or make changes to this bug.